using Hawkeye.VisionBuilder.Workflow.Datatypes;
using Hawkeye.VisionBuilder.Workflow.Datatypes.Elements;

namespace Hawkeye.VisionBuilder.Workflow;

public class Context
{
    public Context()
    {
    }

    public HawkeyeImage? ActiveImage { get; set; }
    public HawkeyeImage? LastCameraImage { get; set; }
    public List<IGraphicsElement> GraphicsElements { get; set; }=new List<IGraphicsElement>();
    public Dictionary<string, HawkeyeImage> Memory { get; set; } = new Dictionary<string, HawkeyeImage>();
    public CancellationToken CancellationToken { get; set; }

}